net.sf.statcvs.reports

## Class AvgFileSizeTimeLineReport

- java.lang.Object
- - net.sf.statcvs.reports.AvgFileSizeTimeLineReport

    public class AvgFileSizeTimeLineReport
    extends Object

Time line for the average file size from a specified file list.

Version:
  $Id: AvgFileSizeTimeLineReport.java,v 1.6 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

### Constructor Summary

Constructors
Constructor and Description
`AvgFileSizeTimeLineReport(SortedSet files)` Creates a new file count time line for a specified list of files.

### Method Summary

Methods
`TimeLine` `getTimeLine()` Returns the result time line

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvgFileSizeTimeLineReport

    public AvgFileSizeTimeLineReport(SortedSet files)

Creates a new file count time line for a specified list of files.

Parameters:
  `files` - a list of `VersionedFile`s

### Method Detail

#### getTimeLine

    public TimeLine getTimeLine()

Returns the result time line

Returns:
  the result time line